Set condition for aggregate functions

- « CollectionFind::groupBy

- CollectionFind::limit »

- PHP Manual
- mysql_xdevapi\CollectionFind
- Set condition for aggregate functions

# CollectionFind::having

(No version information available, might only be in Git)

CollectionFind::having — Set condition for aggregate functions

### Description

public mysql_xdevapi\CollectionFind::having(string `$sort_expr`): mysql_xdevapi\CollectionFind

This function can be used after the 'field' operation in order to make a selection on the documents to extract.

### Parameters

`sort_expr`

  This must be a valid SQL expression, the use of aggreate functions is allowed

### Return Values

CollectionFind object that can be used for further processing

### Examples

Example #1 mysql_xdevapi\CollectionFind::having() example

    <?php//Assuming $coll is a valid Collection object//Find all the documents for which the 'age' is greather than 40,//Only the columns 'name' and 'age' are returned in the Result object$res = $coll->find()->fields(['name','age'])->having('age > 40')->execute();?>